Bug 148454 - games/freebsd-carddeck-kde4: freebsd's kde card deck does not appear
Summary: games/freebsd-carddeck-kde4: freebsd's kde card deck does not appear
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-08 21:10 UTC by Dee-Nice
Modified: 2013-02-05 11:33 UTC (History)
0 users

See Also:


Attachments
file.txt (14.18 KB, text/plain)
2010-07-08 21:10 UTC, Dee-Nice
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dee-Nice 2010-07-08 21:10:01 UTC
games/freebsd-carddeck-kde4 (dependency of kdegames4 when WITH_FREEBSD is set) lets you have a FreeBSD themed card deck for the KDE card games. However, since last releases of KDE does not support PNG format for card decks anymore. Now, KDE uses SVGZ (GZipped SVG) as card skin image format. As a consequence, FreeBSD's skin does not appear anymore (in the card deck skins list)

Fix: The PNG image can be recoded with base64 (converters/base64) and embedded into an SVG file, gzip it and renames in .svgz
(my attached file is this SVG, you just have to GZip it)

Patch attached with submission follows:
How-To-Repeat: Run a KDE card game and go to the configuration interface and you'll see that the FreeBSD themed card deck is missing.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-14 19:49:23 UTC
Maintainer of games/freebsd-carddeck-kde4,

Please note that PR ports/148454 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148454

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-14 19:49:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-12-10 05:33:16 UTC
State Changed
From-To: feedback->open

maintainer timeout (swhetzel@gmail.com ; 87 days)
Comment 4 Martin Wilke freebsd_committer 2011-02-05 06:18:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

can u take a look plz?
Comment 5 Alberto Villa freebsd_committer 2012-09-02 15:34:35 UTC
State Changed
From-To: open->feedback

The format of the deck is now obsolete, and should be converted 
tcompletely to SVG. If I don't receive feedback in 2 weeks, I'll mark 
the port as DEPRECATED, due to expire in 2 months.
Comment 6 dfilter service freebsd_committer 2012-09-18 23:44:10 UTC
Author: avilla
Date: Tue Sep 18 22:43:52 2012
New Revision: 304471
URL: http://svn.freebsd.org/changeset/ports/304471

Log:
  - Mark ad DEPRECATED, due to expire in 2 months.
  
  PR:		148454

Modified:
  head/games/freebsd-carddeck-kde4/Makefile   (contents, props changed)

Modified: head/games/freebsd-carddeck-kde4/Makefile
==============================================================================
--- head/games/freebsd-carddeck-kde4/Makefile	Tue Sep 18 22:30:19 2012	(r304470)
+++ head/games/freebsd-carddeck-kde4/Makefile	Tue Sep 18 22:43:52 2012	(r304471)
@@ -1,7 +1,4 @@
-# New ports collection Makefile for:	freebsd-carddeck-kde4
-# Date created:				2009-02-02
-# Whom:					swhetzel@gmail.com
-#
+# Created by: swhetzel@gmail.com
 # $FreeBSD$
 
 PORTNAME=	freebsd-carddeck
@@ -15,6 +12,9 @@ EXTRACT_ONLY=	# empty
 MAINTAINER=	swhetzel@gmail.com
 COMMENT=	FreeBSD themed deck for KDE card games
 
+DEPRECATED=	deck file format is obsolete
+EXPIRATION_DATE=2012-11-19
+
 USE_KDE4=	kdehier kdeprefix
 
 NO_BUILD=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Alberto Villa freebsd_committer 2013-01-09 14:31:04 UTC
State Changed
From-To: feedback->patched

Removed from area51. It will be removed from the ports tree on the next 
KDE update.
Comment 8 Baptiste Daroussin freebsd_committer 2013-02-05 11:33:27 UTC
State Changed
From-To: patched->closed

Removed from ports tree thanks